%define ver      0.1.1
%define rel      1
%define prefix   /usr/local

Summary: libcafix, communicates with CASIO graphic calculators.
Name:      libcafix
Version:   %ver
Release:   %rel
Copyright: GPL
Group: Libraries/Communications
Source0:   libcafix-%{PACKAGE_VERSION}.tar.gz
URL:       http://cafix.sourceforge.net/
BuildRoot: /var/tmp/libcafix-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/share/doc
Packager: Gran Weinholt <weinholt@linux.nu>

%description
libcafix is a simple library used to communicate with CASIO graphic
calculators. It's primarily used by cafix. Creating custom programs
for communication with CASIO graphic calculators is relatively easy.
libcafix can also emulate the behaviour of an EA-100 device.

The cafix homepage is at <http://cafix.sourceforge.net>.

%package devel
Summary: Header files for libcafix
Group: Development/Libraries
Requires: libcafix = 0.1.1

%description devel
libcafix is a simple library used to communicate with CASIO graphic
calculators. It's primarily used by cafix.
This package allows you to create programs that use libcafix.


%prep
%setup

%build
%ifarch alpha
   CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --host=alpha-redhat-linux\
	--prefix=%{prefix} \
	--enable-debug=yes \
	--with-gnu-ld
%else
   CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=%{prefix} \
	--enable-debug=yes \
	--with-gnu-ld 
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%{prefix}/lib/libcafix.so*

%files devel
%defattr(-, root, root)
%doc README README.Interactive COPYING TODO
%{prefix}/include/cafix.h
%{prefix}/lib/*a

%changelog
* Wed Jul 6 2001 Gran Weinholt <weinholt@linux.nu>
- Initial RPM created.
